/**************************************************************************
 * Devil Plugin Copyright (C) 2007-2008 Mikhail Polenin                   *
 * HeXHub is Copyright(C) Albu Cristian Laurentiu                         *
 * This plugin is licensed under the Open Software License 3.0            *
 * Please read the license before making a modification to this plugin.   *
 * Failure to follow the terms of the license will have severe            *
 * consequences                                                           *
 **************************************************************************/

#include "windows.h"

#define memcpywithnull(dst, src, size) memcpy(dst, src, size); dst[size] = NULL;

struct listitem {
	listitem *next;
	char nick[40];
	listitem()
	{
		next=NULL;
	}
};

class devillist {
private:
	listitem *first;
	listitem *last;
	CRITICAL_SECTION cs;
public:
	BOOL RemoveItem(char *nick);
	BOOL AddItem(char *nick);
	BOOL Find(char *nick);
	listitem *Previous(listitem *idx);
	devillist();
	~devillist();
};